Get all Member Snapshots
curl --request GET \
--url https://fulfillment.noyo.com/api/v1/member_snapshots \
--header 'Authorization: Bearer <token>'import requests
url = "https://fulfillment.noyo.com/api/v1/member_snapshots"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fulfillment.noyo.com/api/v1/member_snapshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"offset": 0,
"page_num": 1,
"page_size": 20,
"total_records": 2
},
"response": [
{
"created": 1599184829,
"employee_id": "7f39b5e0-460d-49e2-83b7-a1b6f2726b12",
"fulfillment_summary": [
{
"carrier_id": "4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1",
"errors": [],
"status": "processing"
}
],
"id": "bc4aea3e-f728-4b05-85dc-e1ea14456e83",
"modified": 1599184829,
"status": "processing",
"version": "431b7d10-3da6-4c5e-bb2f-58a6ebb1224f"
},
{
"created": 1557512389,
"employee_id": "2613a221-d3c8-4c8a-86d5-e7e885fd1da9",
"fulfillment_summary": [
{
"carrier_id": "4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1",
"errors": [],
"status": "sent"
}
],
"id": "30b74a44-d5b1-4123-a7a4-6d3aec251ba4",
"modified": 1564440756,
"status": "completed",
"version": "6260146a-3486-4c3d-b2a6-fcd3f8c84043"
}
]
}Snapshots
List Member Snapshots
Get a list of all member snapshots in the system
GET
/
api
/
v1
/
member_snapshots
Get all Member Snapshots
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The max size of each page of results
The integer offset at which to start the page. Possible values are 0 to total_records - 1
Filter by associated status
Filter by ID (comma separated)
Filter by fulfillment summary carrier ID (comma separated)
Filter by fulfillment summary status (comma separated)
The employee ID associated with the member snapshot
Example:
"a88f4b6f-7c26-4dd0-8b62-6c76f06412ad"
The group ID associated with the member snapshot
Example:
"a88f4b6f-7c26-4dd0-8b62-6c76f06412ad"
Was this page helpful?
